Update a review task
PATCH
/v1/review-tasks/{reviewTaskId}curl -X PATCH 'https://api.embodiflow.io/v1/review-tasks/{reviewTaskId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"status": "pending",
"reviewerProjectMembershipId": "00000000-0000-0000-0000-000000000000",
"dueAt": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- reviewTaskIdstring必填
请求头参数
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
请求体
Content-Typeapplication/json
- statusstring可选值pendingin_progressapprovedrejected
- reviewerProjectMembershipIdstring (uuid) | null
- dueAtstring | null
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- workflowRunIdstring必填
- subjectTypestring必填
- subjectRefIdstring必填
- statusstring必填
- decisionstring | null必填
- reviewerProjectMembershipIdstring | null必填
- dueAtstring | null必填
- stepKeystring必填
- taskTitlestring必填
- overdueone of必填
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"workflowRunId": "string",
"subjectType": "string",
"subjectRefId": "string",
"status": "string",
"decision": "string",
"reviewerProjectMembershipId": "string",
"dueAt": "string",
"stepKey": "string",
"taskTitle": "string",
"overdue": false,
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1